Subject: bug#32014: 26.1; lisp-indent-line fails in first line of Ielm

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Jun 2018 09:52:02 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Fri, 29 Jun 2018 20:23:13 -0400
> Cc: [email-masked]
> 
> I propose this for emacs-26:

OK.

> and this for master:

I'm not sure I'm okay with changing the behavior of
forward/backward-to-indentation like that.  It's an incompatible
change, isn't it?  The documentation doesn't seem to tell anything wrt
the behavior in presence of fields, but that doesn't mean we can make
such changes without considering the consequences.  Can you tell why
you think this change is TRT?

In any case, such a change should be reflected in NEWS and in the doc
strings.